from djangoats.oats.models import WorkOrder
from djangoats.oats.models import PhoneMessage
from djangoats.oats.models import InOfficeComputer
from djangoats.oats.models import Ticket

def ticket_count(request):
    count_phone = PhoneMessage.objects.all().count()
    return { 'count_phone': PhoneMessage.objects.all().count(),
            'count_phone_open': PhoneMessage.objects.filter(status='O').count(),
            'count_workorders': WorkOrder.objects.all().count(),
            'count_workorders_open': WorkOrder.objects.filter(status='O').count(),
            'count_workorders_2nd_level': WorkOrder.objects.filter(status='2').count(),
            'count_workorders_action_required': WorkOrder.objects.filter(status='A').count(),
            'count_inoffice': InOfficeComputer.objects.all().count(),
            'count_inoffice_open': InOfficeComputer.objects.filter(status='O').count(),
            'count_inoffice_pending_pickup': InOfficeComputer.objects.filter(status='P').count(),
            'count_inoffice_2nd_level': InOfficeComputer.objects.filter(status='2').count(),
            'count_inoffice_action_required': InOfficeComputer.objects.filter(status='A').count(),
    }